<script>
import {Line} from 'vue-chartjs'

export default {
  name: "MonthlyTempChart",
  extends: Line,

  props: {
    passedData: {},
  },

  data() {
    return {

      dates: [],
      tempsIn: [],
      tempsOut: [],

      chartData: {
        labels: [],
        datasets: [
          {
            label: '',
            data: []
          },
          {
            label: '',
            data: []
          }
        ]
      }

    }
  },

  beforeMount() {

      for (const obj of this.passedData) {
        this.dates.push(obj.readDate.substring(5, 16))
        this.tempsIn.push(obj.temperatureIn)
        this.tempsOut.push(obj.temperatureOut)
      }
  },

  mounted() {
    this.renderChart(this.chartData, {responsive: true, maintainAspectRatio: false})
  },

  created() {
    this.chartData = {
      labels: this.dates,
      datasets: [
        {
          label: 'Temperatura wewnątrz ula',
          borderColor: '#f87979',
          fill: false,
          data: this.tempsIn
        },
        {
          label: 'Temperatura na dworze',
          borderColor: '#800000',
          fill: false,
          data: this.tempsOut
        }
      ]
    }
  },
}
</script>

<style scoped>

</style>